## org.eclipse.emf.ecoretools.tabbedproperties.utils
Class ObjectAdapter

    java.lang.Object
      org.eclipse.emf.ecoretools.tabbedproperties.utils.ObjectAdapter

    public final class ObjectAdapter

extends java.lang.Object

Provides a single static method to adapt a given object in an EObject Creation 19 sept. 06

Method Summary
`static org.eclipse.emf.ecore.EObject` `adaptObject(java.lang.Object object)` Returns the EObject associated with the given object.
`static java.lang.Object` `adaptObject(java.lang.Object object, java.lang.Class<?> adaptedClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### adaptObject

    public static org.eclipse.emf.ecore.EObject adaptObject(java.lang.Object object)

  Returns the EObject associated with the given object. Returns `null` if no such object can be found.

  Parameters:
    `object` - The object to look up its associated EObject
  Returns:
    the EObject associated to the given object, or `null` if this object does not have any.

### adaptObject

    public static java.lang.Object adaptObject(java.lang.Object object,
                                               java.lang.Class<?> adaptedClass)

Copyright 2007 Anyware Technologies. All Rights Reserved.